Create a workspace variable

Create a workspace variable

Creates a new workspace-scoped variable with name and value.

POST/api/workspaces/{id}/variables
Path parameters
idnumberrequired

Path parameter: id

Body
namestringrequired
valuestringrequired

Request

curl
curl -X POST https://trickest.io/api/workspaces/{id}/variables \
  -H "Authorization: Bearer $TRICKEST_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ }'

Responses

201Created variable
idstringrequired
namestringrequired
valuestringrequired
is_secretbooleanrequired
is_dynamicboolean
is_globalboolean
is_overridenboolean
space_idstring
created_datestringrequired
modified_datestringrequired
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.